﻿@model JavnaNabava.Model.SifKategorijeObavijesti

@{
    ViewData["Title"] = "AddSifKategorijeObavijesti";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj kategoriju obavijesti</h1>

<p>
    <small>
        Stranica za dodavanje nove kategorije obavijesti. Polje naziv je obavezno.
        Nakon pritiska na gumb dodaj, korisnik se preusmjerava na popis svih kategorija obavijesti
        te dobiva prilkadnu poruku je li kategorija obavijesti uspješno dodana u bazu ili ne.
    </small>
</p>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddSifKategorijeObavijesti">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Naziv" class="control-label"></label>
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
